Package org.springframework.security.web.server.firewall

# Interface ServerWebExchangeFirewall

All Known Implementing Classes:
  `StrictServerWebExchangeFirewall`

public interface ServerWebExchangeFirewall
Interface which can be used to reject potentially dangerous requests and/or wrap them to control their behaviour.

Since:
  6.4

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ServerWebExchangeFirewall`
`INSECURE_NOOP`
An implementation of `StrictServerWebExchangeFirewall` that does nothing.

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<org.springframework.web.server.ServerWebExchange>`
`getFirewalledExchange(org.springframework.web.server.ServerWebExchange exchange)`
Get a `ServerWebExchange` that has firewall rules applied to it.

## Field Details

### INSECURE_NOOP

static final ServerWebExchangeFirewall INSECURE_NOOP
An implementation of `StrictServerWebExchangeFirewall` that does nothing. This is considered insecure and not recommended.

## Method Details

### getFirewalledExchange

reactor.core.publisher.Mono<org.springframework.web.server.ServerWebExchange> getFirewalledExchange(org.springframework.web.server.ServerWebExchange exchange)
Get a `ServerWebExchange` that has firewall rules applied to it.

Parameters:
  `exchange` - the `ServerWebExchange` to apply firewall rules to.
Returns:
  the `ServerWebExchange` that has firewall rules applied to it.
Throws:
  `ServerExchangeRejectedException` - when a rule is broken.